// VRML Generator
// (c) Justin Couch
//
// From Chapter 13: Late Night VRML 2.0 and Java
//
// The Group node dialog. Only needs to get the bounding box size
// and center as well as a DEF name.

package ui.dialogs;

import java.awt.*;
import ui.dialogs.VrmlBaseDialog;
import geometry.Sphere;
import ui.VrmlTree;
import VrmlScene;
import VrmlTypes;
import exceptions.NoSelectedNodeException;


public class SphereDialog extends VrmlBaseDialog
{
	private TextField	radius;

	public SphereDialog(Frame parent, VrmlTree tree, VrmlScene data)
	{
		super(parent, "Edit Sphere Node");

		vrml_data = data;
		screen_data = tree;

		content_panel.setLayout(new BorderLayout(15, 10));

		content_panel.add("West", new Label("Radius", Label.LEFT));

		radius = new TextField("1", 4);
		content_panel.add("East", radius);

		pack();
	}

	// read all the information back out of the panel and pass it
	// to the appropriate place.
	public boolean applyInformation()
	{
		String str;
		float rad;
		Sphere sphere;

		rad = Float.valueOf(radius.getText()).floatValue();

		// are we creating a default node? This test for a yes
		if(rad != 2)
			sphere = new Sphere(browser, rad);
		else
			sphere = new Sphere(browser);

		str = name.getText();

		if(str.equals(""))
			sphere.name = null;
		else
			sphere.name = new String(str);

		try
		{
			vrml_data.addNode(VrmlTypes.Sphere, sphere);
		}
		catch (NoSelectedNodeException e)
		{
			System.out.println("No node selected");
		}

		return false;
	}

}